> ## Documentation Index
> Fetch the complete documentation index at: https://docs.numeral.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product

> Retrieve the details of a specific product

## Get Product Endpoint (2026-11-01)

Retrieve the details of a specific product using its ID.

> [!NOTE]
>
> Remember to include the `X-API-Version: 2026-11-01` header in your request to use this API version.


## OpenAPI

````yaml api-reference/v2026-11-01/openapi.json GET /tax/products/{reference_product_id}
openapi: 3.0.1
info:
  title: Numeral API
  description: >-
    API for sales tax calculations - Version 2026-11-01. This version adds a
    `note` to every tax jurisdiction row and an `effective_tax_rate` to
    calculations and platform calculation totals.
  license:
    name: MIT
  version: '2026-11-01'
servers:
  - url: https://api.numeralhq.com/
security:
  - bearerAuth: []
paths:
  /tax/products/{reference_product_id}:
    get:
      summary: Get Product
      description: Retrieve the details of a specific product
      operationId: getProduct_v20261101
      parameters:
        - name: reference_product_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Product details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductResponse'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ProductResponse:
      type: object
      properties:
        object:
          type: string
          description: 'The type of object: `tax.product`.'
          example: tax.product
        reference_product_id:
          type: string
          description: The ID of the created product
          example: p-20506
        reference_product_name:
          type: string
          description: The name of the created product
          example: Red Shoes
        product_category:
          type: string
          description: The category of the created product
          example: CLOTHING_GENERAL
        created_at:
          type: number
          description: >-
            Epoch datetime representing the date and time the product was
            created
          example: 1721694425
        updated_at:
          type: number
          description: >-
            Epoch datetime representing the date and time the product was last
            updated
          example: 1721694425
        testmode:
          type: boolean
          description: >-
            `True` if using a production API key. `False` if using a test API
            key.
          example: true
    Error:
      type: object
      description: Standard error response format for API version 2026-01-01
      properties:
        code:
          type: integer
          description: HTTP status code
          example: 400
        type:
          type: string
          description: Machine-readable error type
          example: MISSING_FIELD
        message:
          type: string
          description: Human-readable error message
          example: Required field 'address_country' is missing
      required:
        - code
        - type
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.